Summary: A clock for the X Window System
Name: xdaliclock
Version: 2.20
Release: 2%{?dist}
Group: Amusements/Graphics
License: BSD
URL: http://www.jwz.org/xdaliclock/
Source0: http://www.jwz.org/xdaliclock/xdaliclock-%{version}.tar.gz
Source1: xdaliclock.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: xorg-x11-devel
BuildRequires: desktop-file-utils

%description
XDaliClock is a large digital clock for the X Window System, with digits
that "melt" into their new shapes when the time changes. XDaliClock
supports 12 and 24 hour modes, and displays the date when you hold a mouse
button down over it. It also can be configured to do colormap cycling, and
for window transparency.

%prep
%setup

%build
cd X11
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
cd X11

mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults

install -p -m 0755 xdaliclock $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
install -p -m 0755 xdaliclock.man \
	$RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1/xdaliclock.1
install -p -m 0644 XDaliClock.ad \
	$RPM_BUILD_ROOT%{_libdir}/X11/app-defaults/XDaliClock

desktop-file-install --vendor fedora \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--add-category "X-Fedora" \
	--add-category "Amusements" \
	--add-category "Graphics" \
	%{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_prefix}/X11R6/bin/xdaliclock
%{_prefix}/X11R6/man/man1/xdaliclock.1*
%{_libdir}/X11/app-defaults/XDaliClock
%{_datadir}/applications/*

%changelog
* Mon May 09 2005 Chris Ricker <kaboom@oobleck.net> 2.20-2%{?dist}
- Add dist tag

* Sat Apr 23 2005 Chris Ricker <kaboom@oobleck.net> 2.20-1
- Initial package for Fedora Extras
